Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## JavaBeans
Class Address_Data

    java.lang.Object
      JavaBeans.Address_Data

public class Address_Data
extends java.lang.Object

Author:
  student This class is being used as a JavaBean to hold all the address data.

Field Summary
`private java.lang.String` | `building`
`private java.lang.String` | `city`
`private java.lang.String` | `email`
`private java.lang.String` | `floor`
`private java.lang.String` | `office`
`private java.lang.String` | `phoneNumber`
`private java.lang.String` | `street`

Constructor Summary
`Address_Data()` This is an empty constructor for Address_Data.java
`Address_Data(java.lang.String eMail, java.lang.String street, java.lang.String city, java.lang.String floor, java.lang.String building, java.lang.String office, java.lang.String phoneNumber)` This is the constructor for Address_Data.java

Method Summary
`java.lang.String` | `getBuilding()` This method is being used for getting the building field.
`java.lang.String` | `getCity()` This method is being used for getting the city field.
`java.lang.String` | `getEmail()` This method is being used for getting the email field.
`java.lang.String` | `getFloor()` This method is being used for getting the floor field.
`java.lang.String` | `getOffice()` This method is being used for getting the office field.
`java.lang.String` | `getPhoneNumber()` This method is being used for getting the phone number field.
`java.lang.String` | `getStreet()` This method is being used for getting the street field.
`void` | `setBuilding(java.lang.String building)` This method is being used for setting the building field.
`void` | `setCity(java.lang.String city)` This method is being used for setting the city field.
`void` | `setEmail(java.lang.String eMail)` This method is being used to set Email field.
`void` | `setFloor(java.lang.String floor)` This method is being used for setting the floor field.
`void` | `setOffice(java.lang.String office)` This method is being used for setting the office field.
`void` | `setPhoneNumber(java.lang.String phoneNumber)` This method is being used for setting the phone number field.
`void` | `setStreet(java.lang.String street)` This method is being used for setting the street field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### building

    private java.lang.String building

### city

    private java.lang.String city

### email

    private java.lang.String email

### floor

    private java.lang.String floor

### office

    private java.lang.String office

### phoneNumber

    private java.lang.String phoneNumber

### street

    private java.lang.String street

Constructor Detail

### Address_Data

    public Address_Data()

  This is an empty constructor for Address_Data.java

### Address_Data

    public Address_Data(java.lang.String eMail,
                        java.lang.String street,
                        java.lang.String city,
                        java.lang.String floor,
                        java.lang.String building,
                        java.lang.String office,
                        java.lang.String phoneNumber)

  This is the constructor for Address_Data.java

Method Detail

### getBuilding

    public java.lang.String getBuilding()

  This method is being used for getting the building field.

  Returns:
    String Building.

### getCity

    public java.lang.String getCity()

  This method is being used for getting the city field.

  Returns:
    String City.

### getEmail

    public java.lang.String getEmail()

  This method is being used for getting the email field.

  Returns:
    String The email address.

### getFloor

    public java.lang.String getFloor()

  This method is being used for getting the floor field.

  Returns:
    String Floor.

### getOffice

    public java.lang.String getOffice()

  This method is being used for getting the office field.

  Returns:
    String Office.

### getPhoneNumber

    public java.lang.String getPhoneNumber()

  This method is being used for getting the phone number field.

  Returns:
    String Phone number.

### getStreet

    public java.lang.String getStreet()

  This method is being used for getting the street field.

  Returns:
    String Street.

### setBuilding

    public void setBuilding(java.lang.String building)

  This method is being used for setting the building field.

  Parameters:
    `building` - Building.
  Returns:
    void

### setCity

    public void setCity(java.lang.String city)

  This method is being used for setting the city field.

  Parameters:
    `city` - City.
  Returns:
    void

### setEmail

    public void setEmail(java.lang.String eMail)

  This method is being used to set Email field.

  Parameters:
    `eMail` - Email address.
  Returns:
    void

### setFloor

    public void setFloor(java.lang.String floor)

  This method is being used for setting the floor field.

  Parameters:
    `floor` - Floor.
  Returns:
    void

### setOffice

    public void setOffice(java.lang.String office)

  This method is being used for setting the office field.

  Parameters:
    `office` - Office.
  Returns:
    void

### setPhoneNumber

    public void setPhoneNumber(java.lang.String phoneNumber)

  This method is being used for setting the phone number field.

  Parameters:
    `phoneNumber` - Phone number.
  Returns:
    void

### setStreet

    public void setStreet(java.lang.String street)

  This method is being used for setting the street field.

  Parameters:
    `street` - Street name, number.
  Returns:
    void

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD